Skip to main content
GET
List payment methods
Click the base URL in the API playground and select the Sandbox host for test data or the Production host for live data. Use credentials from the same environment.

Authorizations

Authorization
string
header
required

The Server API Key obtained from the kelviq application. Pass as a Bearer token in the Authorization header. Example: 'Authorization: Bearer YOUR_API_KEY'

Query Parameters

customerId
string

Filter to payment methods belonging to the customer with this client-provided customerId.

customerEmail
string<email>

Filter to payment methods belonging to the customer with this email address.

page_size
integer

Number of results per page. Defaults to 10, maximum 100.

Required range: 1 <= x <= 100
page
integer

Page number to return.

Required range: x >= 1

Response

A paginated list of payment methods.

count
integer
Example:

1

next
string<uri> | null
Example:

null

previous
string<uri> | null
Example:

null

results
object[]